Seed:
    treename_prefix: see
    fields:
      - name: fitok
        type: short
      - name: px
        type: float
      - name: py
        type: float
      - name: pz
        type: float
      - name: pt
        type: float
      - name: eta
        type: float
      - name: phi
        type: float
      - name: dxy
        type: float
      - name: dz
        type: float
      - name: ptErr
        type: float
      - name: etaErr
        type: float
      - name: phiErr
        type: float
      - name: dxyErr
        type: float
      - name: dzErr
        type: float
      - name: chi2
        type: float
      - name: q
        type: int
      - name: nValid
        type: unsigned int
      - name: nPixel
        type: unsigned int
      - name: nGlued
        type: unsigned int
      - name: nStrip
        type: unsigned int
      - name: algo
        type: unsigned int
      - name: trkIdx
        type: int
      - name: shareFrac
        type: vector<float>
      - name: simTrkIdx
        type: vector<int>
      - name: offset
        type: unsigned int
      - name: Et
        type: float
      - name: hoe
        type: float
      - name: isBarrel
        type: vector<int>
      - name: layerOrDiskNr
        type: vector<int>
      - name: isValidPos
        type: vector<int>
      - name: dRZPos
        type: vector<float>
      - name: dPhiPos
        type: vector<float>
      - name: isValidNeg
        type: vector<int>
      - name: dRZNeg
        type: vector<float>
      - name: dPhiNeg
        type: vector<float>
      - name: isECALDriven
        type: short
      - name: sclIdx
        type: int

Track:
    treename_prefix: trk
    fields:
      - name: px
        type: float
      - name: py
        type: float
      - name: pz
        type: float
      - name: pt
        type: float
      - name: inner_px
        type: float
      - name: inner_py
        type: float
      - name: inner_pz
        type: float
      - name: inner_pt
        type: float
      - name: outer_px
        type: float
      - name: outer_py
        type: float
      - name: outer_pz
        type: float
      - name: outer_pt
        type: float
      - name: eta
        type: float
      - name: lambda
        type: float
      - name: cotTheta
        type: float
      - name: phi
        type: float
      - name: dxy
        type: float
      - name: dz
        type: float
      - name: ptErr
        type: float
      - name: etaErr
        type: float
      - name: lambdaErr
        type: float
      - name: phiErr
        type: float
      - name: dxyErr
        type: float
      - name: dzErr
        type: float
      - name: refpoint_x
        type: float
      - name: refpoint_y
        type: float
      - name: refpoint_z
        type: float
      - name: nChi2
        type: float
      - name: q
        type: int
      - name: nValid
        type: unsigned int
      - name: nInvalid
        type: unsigned int
      - name: nPixel
        type: unsigned int
      - name: nStrip
        type: unsigned int
      - name: nPixelLay
        type: unsigned int
      - name: nStripLay
        type: unsigned int
      - name: n3DLay
        type: unsigned int
      - name: nOuterLost
        type: unsigned int
      - name: nInnerLost
        type: unsigned int
      - name: algo
        type: unsigned int
      - name: originalAlgo
        type: unsigned int
      - name: algoMask
        type: ULong64_t
      - name: stopReason
        type: unsigned int
      - name: isHP
        type: short
      - name: seedIdx
        type: int
      - name: vtxx
        type: float
      - name: vtxy
        type: float
      - name: vtxz
        type: float
      - name: shareFrac
        type: vector<float>
      - name: simTrkIdx
        type: vector<int>
      - name: genIdx
        type: int
      - name: genDR
        type: float

SimTrack:
    treename_prefix: sim
    fields:
      - name: event
        type: int
      - name: bunchCrossing
        type: int
      - name: pdgId
        type: int
      - name: px
        type: float
      - name: py
        type: float
      - name: pz
        type: float
      - name: pt
        type: float
      - name: eta
        type: float
      - name: phi
        type: float
      - name: pca_pt
        type: float
      - name: pca_eta
        type: float
      - name: pca_lambda
        type: float
      - name: pca_cotTheta
        type: float
      - name: pca_phi
        type: float
      - name: pca_dxy
        type: float
      - name: pca_dz
        type: float
      - name: q
        type: int
      - name: nValid
        type: unsigned int
      - name: nPixel
        type: unsigned int
      - name: nStrip
        type: unsigned int
      - name: nLay
        type: unsigned int
      - name: nPixelLay
        type: unsigned int
      - name: n3DLay
        type: unsigned int
      - name: trkIdx
        type: vector<int>
      - name: shareFrac
        type: vector<float>
      - name: parentVtxIdx
        type: int
      - name: decayVtxIdx
        type: vector<int>
      - name: seedIdx
        type: vector<int>

SimVertex:
    treename_prefix: simvtx
    fields:
      - name: event
        type: int
      - name: bunchCrossing
        type: int
      - name: processType
        type: unsigned int
      - name: x
        type: float
      - name: y
        type: float
      - name: z
        type: float
      - name: sourceSimIdx
        type: vector<int>
      - name: daughterSimIdx
        type: vector<int>

SuperCluster:
    treename_prefix: scl
    fields:
      - name: e
        type: float
      - name: px
        type: float
      - name: py
        type: float
      - name: pz
        type: float
      - name: x
        type: float
      - name: y
        type: float
      - name: z
        type: float
      - name: hoe
        type: float
